post
https://api.mywishweaver.com/api/cards
Create a new card using an available bundle purchase on the authenticated account.
Quickstart:
- Generate API credentials from
POST /account/api-access/credentials/rotate. - Exchange them at
POST /account/api-access/token. - Fetch an available purchase from
GET /api/bundle-purchases/available. - Choose a template from
GET /api/templates. - Create the card by passing
bundle_purchase_id,template_id, title, sender, and collection settings.
This API supports creating and managing cards, but does not support sending or scheduling them.
Example:
curl -X POST "$BASE_URL/api/cards" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"bundle_purchase_id": "<bundle_purchase_id>",
"template_id": "<template_id>",
"title": "Team Appreciation Card",
"sender": "Reindeer API",
"recipient": "Jordan",
"collection": {
"add_money": "Everyone",
"see_total": "Everyone",
"see_contributors": "Everyone",
"add_cash": true,
"currency": "USD"
}
}'Authentication for this endpoint requires this header:
Authorization: Bearer <access_token>
Generate the bearer token by:
- rotating credentials at
POST /account/api-access/credentials/rotate - exchanging them at
POST /account/api-access/token
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
201